# TabPanelWidget

My (government) employer had a need for responsive tabs that would collapse
to accordions at narrower widths, and also met accessibility requirements.
[TabPanelWidget](https://tabpanelwidget.com) met both needs. These modules
make the library available for Drupal display purposes:

* **TabPanelWidget** defines the library and provides a class for setting
  options, generating markup, and attaching the library.

* **TabPanelWidget Quick Tabs** provides a TabRenderer plugin for Quick Tabs.

* **TabPanelWidget Views** provides a style plugin for Views.

## Installing the library with Composer

TabPanelWidget's current releases no longer include compiled assets, so I now recommend installing from [asset-packagist.org](https://asset-packagist.org). If you haven't already set up asset-packagest.org in your `composer.json`
file, do the following:

Add it to your repositories list:

    "repositories": [
      {
        "type": "composer",
        "url": "https://asset-packagist.org"
      }
    ]

Add npm-assets to your installer paths and installer types:

    "installer-paths": {
      "docroot/libraries/{$name}": [
        "type:npm-asset"
      ],
    },

    "installer-types": [
      "npm-asset"
    ],

...and finally, require the library in your project:

    composer require tabpanelwidget/tabpanelwidget:^3.0

The module supports versions 1.x and 3.x of the library, but does not work
properly with version 2.x.
